summaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
authorPiotr Krysik <perper@o2.pl>2009-04-07 10:56:00 +0200
committerPiotr Krysik <perper@o2.pl>2009-04-07 10:56:00 +0200
commit2b2d45f061a737203583def6907cb139ff553fab (patch)
treeac0bdf2e6be28121e5c8e176b31619eb7a80028d /bootstrap
Initial commit
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap51
1 files changed, 51 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..e520834
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,51 @@
+#! /bin/bash
+
+DIE=0
+touch README NEWS CHANGELOG
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed."
+ DIE=1
+}
+
+# libtool --version check not done...
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed."
+ DIE=1
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+echo Removing old files...
+rm -fr config.cache autom4te*.cache config.h config.status aclocal.m4 config.cache config.log
+
+if test ! -d config; then
+ mkdir config
+fi
+echo "aclocal -I config"
+aclocal -I config
+if test $? -ne 0; then
+ exit 1
+fi
+echo "autoheader"
+autoheader
+if test $? -ne 0; then
+ exit 1
+fi
+
+echo "libtoolize --automake"
+libtoolize --automake
+automake --foreign --add-missing
+if test $? -ne 0; then
+ exit 1
+fi
+
+echo "autoconf"
+autoconf
+echo "BOOTSTRAP complete"
+
+#(cd gsm-tvoid ; ./bootstrap) \ No newline at end of file
personal git repositories of Harald Welte. Your mileage may vary